game_level_hints.levels["Chapter05"] = function()
	return 
    {
		miniscenes({
			gates_present = 
            {
				on_scene("house_present", end_level("_area_to_gates_present")),
				on_scene("gates_past", click("gui_amulet_gates_past")),
				on_scene("miniscene_tankage", end_level("area_to_gates_for_hints")),
				on_scene("miniscene_tankage", end_level("_area_to_gates_present_tankage"))
			},
			gates_past = 
            {
				on_scene("house_past", end_level("_area_to_gates_past")),
				on_scene("gates_present", click("gui_amulet_gates_present")),
				on_scene("miniscene_tankage_past", end_level("area_to_gates_for_hints02")),
				on_scene("miniscene_tankage_past", end_level("_area_to_gates_past_tankage"))
			},
			house_present = 
            {
				on_scene("gates_present", end_level("_area_to_house_present")),
				on_scene("house_past", click("gui_amulet_house_past"))
			},
			house_past = 
            {
				on_scene("gates_past", end_level("area_to_house_present_for_hint")),
				on_scene("gates_past", end_level("_area_to_house_past")),
				on_scene("house_present", click("gui_amulet_house_present")),
				on_scene("tomb", end_level("_area_to_house_past_tomb"))
			},
			tomb = 
            {
				on_scene("house_past", end_level("_area_to_tomb"))
			},
			miniscene_tankage = 
            {
				on_scene("gates_present", miniscene("_area_miniscene"))
			},
			miniscene_tankage_past =
			{
				on_scene("gates_past", miniscene("_area_miniscene_past"))
			},
			miniscene_box = 
			{
				on_scene("house_present", miniscene("_area_box"))
			},
			miniscene_rag = 
			{
				on_scene("house_past", miniscene("_area_rag"))
			},
			tomb_door = 
			{
				on_scene("tomb", IF(NOT(hidden("sand_out")), click("_area_entrance", "Flashlight")))
			}
		}),
		-- хинты хогов
		hog_hints("chapter05_hog01"),
		hog_hints("chapter05_hog02"),
		
		on_scene("gates_present", 
		{
			take("Empty_flash", "_area_empty_flash"),
			IF(NOT(on_level("Empty_flash")), take("Battery01", "_area_battery01"))
		}),
		
		on_scene("miniscene_tankage", IF(NOT(on_level("Empty_flash")), take("Battery02", "_area_battery02"))),
		on_scene("house_present", 
		{ 
			minigame("_area_hog01"),
			minigame("_area_hog02")
		}),
		
		on_scene("tomb", IF({disabled("area_have_seen_symbol")}, click("_area_labirynth_symbol"))),
		
		on_scene("house_present", IF(NOT(disabled("area_have_seen_symbol")), take("Shovel"))),
		
		on_scene("tomb", 
		{
			click("_area_sand", "Shovel"),
			IF(disabled("area_have_seen_door"), click("_area_entrance", "Flashlight")),
			click("_area_birds", "Meat"),
			IF(NOT(hidden("mirror_down")), take("Mirror", "_area_mirror"))
		}),
		
		on_scene("house_past", 
		{
			IF({NOT(disabled("area_have_seen_door")), on_level("Meat")}, click("_area_animal", "Knife")),
			IF({NOT(disabled("area_have_seen_door"))}, take("Meat", "_area_animal")),
			click("_area_moonlight", "Mirror"),
			minigame("_area_hog03")
		}),
		
		on_scene("house_present", 
		{
			IF({NOT(disabled("Stone01")), state("Stone01", "stone01")}, click("area_stone01_for_hint", "Crowbar")),
			IF({NOT(disabled("Stone01")), state("Stone01", "stone01")}, click("Stone01", "Crowbar")),
			IF(state("Stone01", "stone02"), take("Red_key"))
		}),
		
		on_scene("gates_past", 
		{
			IF(NOT(disabled("area_have_seen_door")), click("_area_jug", "Crowbar")),
			IF(NOT(disabled("area_have_seen_door")), take("Yellow_key", "_area_crushed_jug01")),
			IF(disabled("area_have_seen_colors"), miniscene("_area_miniscene_past"))
		}),
		
		on_scene("gates_present", 
		{
				IF(NOT(disabled("area_have_seen_colors")), take("Yellow_color", "_area_yellow")),
				IF(NOT(disabled("area_have_seen_colors")), take("Red_color", "_area_red"))
		}),
		
		on_scene("house_present", 
		{
			IF(NOT(disabled("area_have_seen_colors")), take("Black_color", "_area_black_color")),
			IF(NOT(disabled("area_have_seen_colors")), take("Green_color", "_area_green_color"))
		}),
		
		-- если не открыл секрет, пусть смотрит на ткань и думает =) %)
		on_scene("miniscene_rag", IF({hidden("clip_open_secret"), disabled("area_have_seen_rag")}, click("_area_rag_big"))),
		on_scene("miniscene_tankage", 
		{
			IF(hidden("clip_open_secret"),click("_area_ornamet"))
		}),
		-- узнает, что это были символы про север-юг-запад-восток
		on_scene("miniscene_box", click("_area_news")),
		
		on_scene("tomb_door", 
		{
			click("_area_keys", "Red_key"),
			click("_area_keys", "Yellow_key"),
			click("_area_keys", "Green_key"),
			click("_area_keys", "All_keys"),
			
			minigame("_area_tomb_entrance")
		})
		
	}
end 